org.apache.ignite.ml.inference.reader

## Class ModelStorageModelReader

- java.lang.Object
- - org.apache.ignite.ml.inference.reader.ModelStorageModelReader

- All Implemented Interfaces:
    Serializable, ModelReader

      public class ModelStorageModelReader
      extends Object
      implements ModelReader

  Model reader that reads directory or file from model storage and serializes it using `DirectorySerializer`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelStorageModelReader(String path)` Constructs a new instance of model storage inference model builder.
    `ModelStorageModelReader(String path, IgniteSupplier<ModelStorage> mdlStorageSupplier)` Constructs a new instance of model storage inference model builder.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `read()` Rads model and returns it in serialized form as byte array.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelStorageModelReader

          public ModelStorageModelReader(String path,
                                         IgniteSupplier<ModelStorage> mdlStorageSupplier)

      Constructs a new instance of model storage inference model builder.
      Parameters:
        `path` - Path to the directory or file.

    - #### ModelStorageModelReader

          public ModelStorageModelReader(String path)

      Constructs a new instance of model storage inference model builder.
      Parameters:
        `path` - Path to the directory or file.

  - ### Method Detail

    - #### read

          public byte[] read()

      Rads model and returns it in serialized form as byte array.
      Specified by:
        `read` in interface `ModelReader`
      Returns:
        Inference model in serialized form as byte array.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023